update to elastix 1.4 beta

nicmac

Joined
Jan 14, 2009
Messages
34
Likes
0
Points
0
#1
Is it possible to upgrade via an rpm or something from 1.3 to 1.4beta. I need to use sip trunks with the call center module/outbound dialer and I have read that it is only just possible in 1.4beta.
 

rafael

Joined
May 14, 2007
Messages
1,454
Likes
1
Points
0
#2
don't do the upgrade in a production envioroment before testing.

From the elastix web interfase go to "system -> updates -> repositories" and select the beta repos.

The ssh to the server and run yum update.

regards,

rafael
 

nicmac

Joined
Jan 14, 2009
Messages
34
Likes
0
Points
0
#3
Thanks mate! Unfortunately, I already installed 1.4 using the ISO. Do you know of any issues with outbound SIP calling? I'm getting "channel unavailable" errors in the CLI debug when trying to make outgoing calls.
 

nicmac

Joined
Jan 14, 2009
Messages
34
Likes
0
Points
0
#4
This is from the debug...

-- Goto (macro-dialout-trunk,s-CHANUNAVAIL,1)
-- Executing [s-CHANUNAVAIL@macro-dialout-trunk:1] GotoIf("SIP/110-08243ce0", "1?noreport") in new stack
-- Goto (macro-dialout-trunk,s-CHANUNAVAIL,3)
-- Executing [s-CHANUNAVAIL@macro-dialout-trunk:3] NoOp("SIP/110-08243ce0", "TRUNK Dial failed due to CHANUNAVAIL (hangupcause: 20) - failing through to other trunks") in new stack
 

nicmac

Joined
Jan 14, 2009
Messages
34
Likes
0
Points
0
#5
nm it is fixed. It was an outbound call rule that was breaking it.
 

nicmac

Joined
Jan 14, 2009
Messages
34
Likes
0
Points
0
#6
Does updating to 1.4-4 involve the same process? I ran update repositories from System/Update and then ran "yum update" from bash. It says there are no updates. Jorge in support updated my previous install to 1.4-4 and I am not sure how he did it.
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,981
Messages
131,060
Members
17,703
Latest member
elvis martinez
Top